Node.js
import { PeriskopeApi } from '@periskope/periskope-client';
const client = new PeriskopeApi({
authToken: 'YOUR_API_KEY',
phone: 'YOUR_PHONE_NUMBER', // e.g., '919876543210'
});
async function genInviteLink() {
const response = await client.group.generateInviteLink({
chat_id: '120363371308389685@g.us'
});
console.log(response);
}
genInviteLink();curl -X POST \
https://api.periskope.app/v1/chats/{chat_id}/invite \
-H 'Authorization: Bearer <token>' \
-H 'Content-Type: application/json' \
-H 'x-phone: YOUR_PHONE_NUMBER' \
{
"invite_link": "https://chat.whatsapp.com/invite/IzKhJSOewu2MwBxYVGofA"
}Group Settings APIs
Generate a new invite link for a chat
Generate a new invite link for a chat
Node.js
import { PeriskopeApi } from '@periskope/periskope-client';
const client = new PeriskopeApi({
authToken: 'YOUR_API_KEY',
phone: 'YOUR_PHONE_NUMBER', // e.g., '919876543210'
});
async function genInviteLink() {
const response = await client.group.generateInviteLink({
chat_id: '120363371308389685@g.us'
});
console.log(response);
}
genInviteLink();curl -X POST \
https://api.periskope.app/v1/chats/{chat_id}/invite \
-H 'Authorization: Bearer <token>' \
-H 'Content-Type: application/json' \
-H 'x-phone: YOUR_PHONE_NUMBER' \
{
"invite_link": "https://chat.whatsapp.com/invite/IzKhJSOewu2MwBxYVGofA"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Please provide the number of the phone you want to call with this API in the header. The number must be in country code + number format without any characters or spaces, e.g. 919876543210; Alternatively, provide the phone_id (phone-xxxxxxxxxxxx) in the header
Example:
"{{orgPhone}}"
Path Parameters
ID of the chat
Response
200 - application/json
Successful operation
WhatsApp invite link
Example:
"https://chat.whatsapp.com/invite/IzKhJSOewu2MwBxYVGofA"
Was this page helpful?